apiVersion: triggers.tekton.dev/v1alpha1
kind: EventListener
metadata:
  name: eventlistener-gogs-s2i
  namespace: {{ namespace }}
spec:
  serviceAccountName: {{ trigger_sa }}
  triggers:
  - name: gogs-listener
    interceptors:
    - cel:
        filter: "body.repository.html_url.matches('s2i-')"
    - cel:
        filter: "body.action == 'created'"
        overlays:
        - key: extensions.branch
          expression: "body.ref.split('/')[size(body.ref.split('/')) - 1]"
        - key: extensions.reponame
          expression: "body.repository.html_url.split('/')[size(body.repository.html_url.split('/')) - 1]"
    bindings:
    - kind: TriggerBinding
      ref: gogs
    template:
      ref: s2i
